List Goals for a Participant
get
/public/v1/participants/{participant}/goalsparticipantstringrequiredThe participant UUID
page[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of ParticipantGoalResource
dataobject[]required▶Show 10 child attributesHide child attributes
idstringrequiredExample:g1o2a3l4-d5e6-47f8-9a0b-1c2d3e4f5a6bnamestringrequiredExample:Improve social interactionsgoal_typestring | nullrequiredExample:short_termdescriptionstring | nullrequiredExample:Participant wants to improve their social skillsachievement_strategystring | nullrequiredExample:Attend weekly social groupsbarriersstring | nullrequiredExample:Anxiety in group settingsstatusstringrequiredExample:activeachieved_atstring | nullrequiredExample:2024-06-15T10:30:00+00:00archived_atstring | nullrequiredExample:2024-01-15T10:30:00+00:00created_atstringrequiredExample:2024-01-15T10:30:00+00:00
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error404Not found